คู่มือ aWhere
พัฒนาAPIcore-services

การตั้งค่าของแพลตฟอร์ม

การตั้งค่าของทั้งแพลตฟอร์ม

อ่านการตั้งค่าของแพลตฟอร์ม

GET
/api/admin/configuration

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

The answer.

curl -X GET "https://platform.example.com/api/admin/configuration" \  -H "Authorization: Bearer $TOKEN"
ว่าง

แก้การตั้งค่าของแพลตฟอร์ม

PUT
/api/admin/configuration

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
[key: string]?any

Body ของคำตอบ

The answer.

curl -X PUT "https://platform.example.com/api/admin/configuration" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{}'
ว่าง
GET
/api/admin/public-access

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำตอบ

Whether it is on, and what it would show.

application/json
  1. response
meta?

The copyright and name of the platform.

data?
curl -X GET "https://platform.example.com/api/admin/public-access" \  -H "Authorization: Bearer $TOKEN"
{  "meta": {},  "data": {    "enabled": true,    "publicItems": {      "count": 0,      "truncated": true,      "groups": [        {          "type": "string",          "count": 0,          "items": [            {              "_id": "string",              "name": "string",              "subtype": "string",              "owner": {                "_id": "string",                "displayName": "string"              }            }          ]        }      ]    }  }}
PUT
/api/admin/public-access

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
enabled*boolean

true to turn it on, false to turn it off.

Body ของคำตอบ

The state it is in now.

application/json
  1. response
meta?

The copyright and name of the platform.

data?
curl -X PUT "https://platform.example.com/api/admin/public-access" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "enabled": false}'
{  "meta": {},  "data": {    "enabled": true  }}